<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel = "stylesheet" href = "{{ url_for('static', filename='css/main.css') }}">
    <title>Transactions</title>
</head>
<body>
    <div class="container">
        <div class ="header">
            <div class ="personal-detail">
                <h2 class="title">Hello!</h2>
                {%if userdetail%}
                    <h2 class="title-account">
                        {{userdetail['accountNumber']}}
                    </h2>
                {%endif%}
                <h2 class="title-date">{{date}}</h2>
            </div>
        </div>
        <div class="balance">
            <h2>Balance</h2>
            <hr>
            {%if userdetail%}
                <div class="balance-wrapper">
                    <div class="available-balance">
                        <h2>RP {{userdetail['balances']['available']}}</h2>
                        <p style="text-align:center">Available Balance</p>
                    </div>
                    <div class="current-balance">
                        <h2>RP {{userdetail['balances']['current']}}</h2>
                        <p style="text-align:center">Current Balance</p>
                    </div>
                </div>
            {%endif%}
            <hr>
        </div>
        <div class="transaction">
            <h2>Transaction</h2>
            <hr>
            <table class="transaction">
                <div class="test" style="height:100%">
                    <tr>
                        <th class="time">Time</th>
                        <th class="description">Description</th>
                        <th class="status">Status</th>
                        <th class="amount">Amount</th>
                    </tr>
                    {%if dictionary%}
                        {%for i in range (0, dictionary['description']|length)%}
                        <tr>
                            <td>{{dictionary['date'][i]}}</td>
                            <td>{{dictionary['description'][i]}}</td>
                            <td>{{dictionary['status'][i]}}</td>
                            <td>Rp {{dictionary['amount'][i]}}</td>
                        </tr>
                        {%endfor%}
                    {%endif%}
                </div>
            </table>

        </div>
        <div class="footer"></div>
    </div>
    
    
</body>
</html>